#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);

    int n, m;cin>>n>>m;
    pair<int, int> vage[n];
    for(int i = 0; i<n; i++)
    {
        cin>>vage[i].first>>vage[i].second;
    }

    for(int i = 0; i<m; i++)
    {
        int l, r, x;
        cin>>l>>r>>x;
        int ans = 0;
        for(int i = l-1; i<r; i++)
        {
            if(vage[i].first<=x && vage[i].second>=x)ans++;
        }
        cout<<ans<<"\n";
    }

    return 0;
}